Name | Type | Default |
checked
|
boolean
|
false
|
Sets or gets the check state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} checked={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the switch button is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} height={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
SwitchButtonOrientation
|
'horizontal'
|
SwitchButtonOrientation: "horizontal" | "vertical"
Determines the jqxSwitchButton's orientation.
Possible Values:
'horizontal'
'vertical'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} orientation={ 'vertical'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onLabel
|
string
|
'On'
|
Sets or gets the string displayed when the button is checked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} onLabel={ 'On Label'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
offLabel
|
string
|
'Off'
|
Sets or gets the string displayed when the button is unchecked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} offLabel={ 'Off Label'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
thumbSize
|
string
|
'40%'
|
Sets or gets the size of the thumb in percentages.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} thumbSize={ '30%'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} width={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
checked
|
Event
|
|
This event is triggered when the switch button is checked.
Code examples
Bind to the checked event of jqxSwitchButton.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} onChecked={this.onChecked} /> ); } private onChecked(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This event is triggered when the switch button's state changes from one state to another.
Code examples
Bind to the change event of jqxSwitchButton.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} onChange={this.onChange} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unchecked
|
Event
|
|
This event is triggered when the switch button is unchecked.
Code examples
Bind to the unchecked event of jqxSwitchButton.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} onUnchecked={this.onUnchecked} /> ); } private onUnchecked(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
check
|
None
|
|
Checks the button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public componentDidMount(): void { this.mySwitchButton.current!.check(); } public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disables the switch button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public componentDidMount(): void { this.mySwitchButton.current!.disable(); } public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enables the switch button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public componentDidMount(): void { this.mySwitchButton.current!.enable(); } public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toggle
|
None
|
|
Toggles the check state. This method is automatically called when the user clicks the switch button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public componentDidMount(): void { this.mySwitchButton.current!.toggle(); } public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uncheck
|
None
|
|
Unchecks the button.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public componentDidMount(): void { this.mySwitchButton.current!.uncheck(); } public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSwitchButton, { ISwitchButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxswitchbutton'; class App extends React.PureComponent<{}, ISwitchButtonProps> { private mySwitchButton = React.createRef<JqxSwitchButton>(); public componentDidMount(): void { this.mySwitchButton.current!.val(); } public render() { return ( <JqxSwitchButton ref={this.mySwitchButton} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
---|---|---|
checked | Boolean | false |
Sets or gets the check state. <template> <JqxSwitchButton ref="mySwitchButton" :checked="true" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
disabled | Boolean | false |
Sets or gets whether the switch button is disabled. <template> <JqxSwitchButton ref="mySwitchButton" :disabled="true" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
height | Number | String | null |
Sets or gets the height. <template> <JqxSwitchButton ref="mySwitchButton" :height="50" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
orientation | String | 'horizontal' |
Determines the jqxSwitchButton's orientation. Possible Values:
<template> <JqxSwitchButton ref="mySwitchButton" :orientation="'vertical'" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
onLabel | String | 'On' |
Sets or gets the string displayed when the button is checked. <template> <JqxSwitchButton ref="mySwitchButton" :onLabel="'On Label'" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
offLabel | String | 'Off' |
Sets or gets the string displayed when the button is unchecked. <template> <JqxSwitchButton ref="mySwitchButton" :offLabel="'Off Label'" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
thumbSize | String | '40%' |
Sets or gets the size of the thumb in percentages. <template> <JqxSwitchButton ref="mySwitchButton" :thumbSize="'30%'" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
rtl | Boolean | false |
<template> <JqxSwitchButton ref="mySwitchButton" :rtl="true" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
width | Number | String | null |
Sets or gets the width. <template> <JqxSwitchButton ref="mySwitchButton" :width="50" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton } } </script> |
||
Events |
||
checked | Event | |
This event is triggered when the switch button is checked. Code examples
Bind to the
<template> <JqxSwitchButton ref="mySwitchButton" @checked="onChecked($event)" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, methods: { onChecked: function (event) { alert('do something...'); } } } </script> |
||
change | Event | |
This event is triggered when the switch button's state changes from one state to another. Code examples
Bind to the
<template> <JqxSwitchButton ref="mySwitchButton" @change="onChange($event)" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, methods: { onChange: function (event) { alert('do something...'); } } } </script> |
||
unchecked | Event | |
This event is triggered when the switch button is unchecked. Code examples
Bind to the
<template> <JqxSwitchButton ref="mySwitchButton" @unchecked="onUnchecked($event)" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, methods: { onUnchecked: function (event) { alert('do something...'); } } } </script> |
||
Methods |
||
Name | Arguments | Return Type |
check | None | None |
Checks the button. <template> <JqxSwitchButton ref="mySwitchButton" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, mounted: function () { this.$refs.mySwitchButton.check(); } } </script> |
||
disable | None | None |
Disables the switch button. <template> <JqxSwitchButton ref="mySwitchButton" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, mounted: function () { this.$refs.mySwitchButton.disable(); } } </script> |
||
enable | None | None |
Enables the switch button. <template> <JqxSwitchButton ref="mySwitchButton" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, mounted: function () { this.$refs.mySwitchButton.enable(); } } </script> |
||
toggle | None | None |
Toggles the check state. This method is automatically called when the user clicks the switch button. <template> <JqxSwitchButton ref="mySwitchButton" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, mounted: function () { this.$refs.mySwitchButton.toggle(); } } </script> |
||
uncheck | None | None |
Unchecks the button. <template> <JqxSwitchButton ref="mySwitchButton" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, mounted: function () { this.$refs.mySwitchButton.uncheck(); } } </script> |
||
val | value | Boolean |
Sets or gets the value. <template> <JqxSwitchButton ref="mySwitchButton" /> </template> <script> import JqxSwitchButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxswitchbutton.vue'; export default { components: { JqxSwitchButton }, mounted: function () { const value = this.$refs.mySwitchButton.val(); } } </script> |

Name | Type | Default |
checked
|
Boolean
|
false
|
Sets or gets the checked property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [checked]="true"> </jqxSwitchButton> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [disabled]="true"> </jqxSwitchButton> `}) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent {
|
orientation
|
enum:SwitchButtonOrientation
|
'horizontal'
|
enum SwitchButtonOrientation { horizontal, vertical } Sets or gets the orientation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [orientation]="''vertical''"> </jqxSwitchButton> `}) export class AppComponent {
|
onLabel
|
String
|
'On'
|
Sets or gets the onLabel property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [onLabel]="'On'"> </jqxSwitchButton> `}) export class AppComponent {
|
offLabel
|
String
|
'Off'
|
Sets or gets the offLabel property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [offLabel]="'Off'"> </jqxSwitchButton> `}) export class AppComponent {
|
thumbSize
|
String
|
'40%'
|
Sets or gets the thumbSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [thumbSize]="30%"> </jqxSwitchButton> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27" [rtl]="true"> </jqxSwitchButton> `}) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent {
|
|
checked
|
Event
|
|
This event is triggered when the switch button is checked.
Code examples
Bind to the checked event of jqxSwitchButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton(onChecked)="Checked($event)" [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent { Checked(event: any): void
|
change
|
Event
|
|
This event is triggered when the switch button's state changes from one state to another.
Code examples
Bind to the change event of jqxSwitchButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton(onChange)="Change($event)" [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent {
|
unchecked
|
Event
|
|
This event is triggered when the switch button is unchecked.
Code examples
Bind to the unchecked event of jqxSwitchButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton(onUnchecked)="Unchecked($event)" [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent { Unchecked(event: any): void
|
|
Name | Return Type | Arguments |
check
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySwitchButton') mySwitchButton: jqxSwitchButtonComponent; ngAfterViewInit(): void { this.mySwitchButton.check();
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySwitchButton') mySwitchButton: jqxSwitchButtonComponent; ngAfterViewInit(): void { this.mySwitchButton.disable();
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySwitchButton') mySwitchButton: jqxSwitchButtonComponent; ngAfterViewInit(): void { this.mySwitchButton.enable();
|
toggle
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySwitchButton') mySwitchButton: jqxSwitchButtonComponent; ngAfterViewInit(): void { this.mySwitchButton.toggle();
|
uncheck
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySwitchButton') mySwitchButton: jqxSwitchButtonComponent; ngAfterViewInit(): void { this.mySwitchButton.uncheck();
|
val
|
Boolean
|
value: Boolean
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSwitchButton #mySwitchButton [width]="81" [height]="27"> </jqxSwitchButton> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySwitchButton') mySwitchButton: jqxSwitchButtonComponent; ngAfterViewInit(): void { let value = this.mySwitchButton.val();
|